Apple、証明書の有効期限切れによりmacOSインストーラーが破損しているというエラーが出る問題が確認されているとして古いmacOS/OS Xのインストーラーを再ダウンロードするように通知。

スポンサーリンク

 Appleから証明書の有効期限切れによりmacOSインストーラーが破損しているというエラーが出る問題が確認されているとして「OS X 10.10 Yosemite」以降のインストーラーを再ダウンロードするように通知が来ています。詳細は以下から。

OS X 10.10 Yosemiteのロゴ

 Appleは現地時間2019年10月24日、macOSのインストーラーや一部のアプリのパッケージで「このアプリケーションは破損しているため、インストールには使用できません」といったエラーが出る問題が報告されているとして管理者向けにサポートページを公開しました。

macOS installer says it was signed with a certificate that has expired

In certain circumstances, such as when an installer is damaged, you’ll see an alert that says the application can’t be verified and may have been corrupted or tampered with during downloading. Or it says that the package was signed with a certificate that has expired and may not be authentic.
You should download the installer again. If the new installer is also affected, please contact the maker of the software for help.

If an installer says it can’t be verified or was signed with a certificate that has expired – Apple Support

 今朝もお伝えしたとおり、この問題はのAppleのパッケージ署名に使用されていた証明書の有効期限が現地時間2019年10月24日、日本時間25日に期限切れとなったため発生しており、Appleは先程OS X 10.10 YosemiteからmacOS 10.15 Catalinaまでのインストーラーを2029年04月15日まで有効な新しい証明書を使って更新し、

このインストールアプリケーションは破損しているため、macOSのインストールには使用できません

このmacOS Mojaveインストールアプリケーションは破損しているため、macOSのインストールには使用できません。
*この“macOSインストール”アプリケーションは古すぎるため、このバージョンのmacOSでは開けません。というエラーは最新のmacOSで古いインストーラーを開こうとした場合に出ます。

サポートページにOS X 10.10 YosemiteからmacOS 10.15 Catalinaまでのアップグレード方法のリンクを付けているので、古いインストーラが必要な方はチェックしてみてください。(ただし、macOS 10.15 CatalinaではmacOS 10.13 High Sierra以前のmacOSは”softwareupdate“や”mas“コマンドを使わないとダウンロードできません。)

コメント

  1. 匿名 より:

    Yosemiteはdmg提供なんで、アプリはもうリリースされないんじゃないですかね?

    • 匿名 より:

      ttps://applech2.com/archives/20191004-how-to-download-macos-installer-prepare-macos-10-15-catalina.html

      こちらのやり方であれば、そのままInstall OS X Yosemite.appをダウンロードできましたよ。

  2. 匿名 より:

    「破損しているため」って、適切なメッセージではないなあ

  3. tak より:

    新しく取得し直したSierraとHigh Sierraでcreateinstallmedia が出来ませんでしたけど、AAPL Ch.さんの環境では出来ましたか?(10/25時点、以前から持っていたインストーラーでも新しいインストーラーでも同じメッセージ(does not appear to be a valid OS みたいな文言)が返ってきて作成できません)
    インストラーの、Finder上で見るバージョンは12.6.03と13.6.02のものでした。

  4. 匿名 より:

    Mojaveのインストーラーを入手したいのですがリンクを踏むと「AppStoreへ接続できません」と出て落とせないですね。。

    • applech2 より:

      どのような環境かわかりませんが、macOS 10.15 Catalinaの場合は以下のURLからMac App Storeが開きシステム環境設定アプリ経由でダウンロード可能です。
      ttps://apps.apple.com/jp/app/macos-mojave/id1398502828?ls=1&mt=12